"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Highlight = exports.highlightPalettes = exports.HighlightPalettes = void 0;

var _styledComponents = _interopRequireWildcard(require("styled-components"));

var _typography = require("@sdkit/typography");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _templateObject2() {
  const data = _taggedTemplateLiteral(["\n      color: ", ";\n      background-color: ", ";\n    "]);

  _templateObject2 = function () {
    return data;
  };

  return data;
}

function _templateObject() {
  const data = _taggedTemplateLiteral(["\n  display: inline-flex;\n  box-sizing: border-box;\n  padding: 0 4px;\n  max-width: 100%;\n  border-radius: 4px;\n  align-items: center;\n\n  ", ";\n"]);

  _templateObject = function () {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

let HighlightPalettes;
exports.HighlightPalettes = HighlightPalettes;

(function (HighlightPalettes) {
  HighlightPalettes["Blue"] = "blue";
  HighlightPalettes["Gray"] = "gray";
  HighlightPalettes["Green"] = "green";
  HighlightPalettes["Purple"] = "purple";
  HighlightPalettes["Red"] = "red";
  HighlightPalettes["Teal"] = "teal";
  HighlightPalettes["Yellow"] = "yellow";
})(HighlightPalettes || (exports.HighlightPalettes = HighlightPalettes = {}));

const highlightPalettes = {
  [HighlightPalettes.Blue]: {
    color: '#003980',
    backgroundColor: '#E7F2FF'
  },
  [HighlightPalettes.Gray]: {
    color: '#323C4E',
    backgroundColor: '#F3F5F8'
  },
  [HighlightPalettes.Green]: {
    color: '#1E642E',
    backgroundColor: '#ECF7EF'
  },
  [HighlightPalettes.Purple]: {
    color: '#41367B',
    backgroundColor: '#F1EFF9'
  },
  [HighlightPalettes.Red]: {
    color: '#931E06',
    backgroundColor: '#FDEDE8'
  },
  [HighlightPalettes.Teal]: {
    color: '#015F7E',
    backgroundColor: '#E7F6FB'
  },
  [HighlightPalettes.Yellow]: {
    color: '#9B6C00',
    backgroundColor: '#FFF8E7'
  }
};
exports.highlightPalettes = highlightPalettes;
const Highlight = (0, _styledComponents.default)(_typography.Text).attrs({
  textType: _typography.TextStyles.BodySemibold
})(_templateObject(), ({
  palette = highlightPalettes[HighlightPalettes.Gray]
}) => (0, _styledComponents.css)(_templateObject2(), palette.color, palette.backgroundColor));
exports.Highlight = Highlight;
//# sourceMappingURL=Highlight.js.map